# Lineární zobrazení

- $U = R^4$ - před zobrazením
- $V = R^3$ - po zobrazení
- $\mathbb{L} : U \to V$

### Ověření linearity zobrazení

- zkontrolovat, že platí
	- $\mathbb{L}(V + V) = \mathbb{L}(V) + \mathbb{L}(V)$
	- $\mathbb{L}(k \cdot V) = k \cdot \mathbb{L}(V)$

### Jádro

- všechny LK vektorů před zobrazením, které se po zobrazení rovnají 0
- zjištění přes zjištění LK
	- $Ker \space \mathbb{L} = \{ \mathbb{L}(V) = 0 \}$
- zápis: $Ker \space \mathbb{L} = \langle \vec{u}; \vec{v} \rangle$

Zapíšu zobrazení do matice, po provedení GJEM zjistím, které prvky se zobrazí na nulový vektor (tedy si vyjádřím např. $a, b, c$).

### Obraz

- všechny LK vektorů po zobrazení
- zápis: $Im \space \mathbb{L} = \langle \vec{u}; \vec{v} \rangle$

Vypočítám jej opět zapsáním zobrazení do matice a provedením GJEM. Obrazem je poté LN množina vektorů (podobné jako u báze).

### Prosté zobrazení

Každý prvek z prostoru $U$ se zobrazí přesně na jeden prvek z prostoru $V$.
- $\dim(Ker \space \mathbb{L}) = \{\vec{o}_{U}\}$

### Izomorfní zobrazení

Lineární zobrazení je **izomorfizmem**, pokud je **prosté** a zároveň $\dim(Im \space \mathbb{L}) = \dim(V)$.

### Matice lineárního zobrazení

Nejsnadnější způsob, jak počítačově popsat lineární zobrazení.

**Postup**:
- Určete matici zobrazení $\mathbb{L}$ v bázích $B_{1}$ a $B_{2}$.
1. Vektory první báze **zobrazím pomocí lineárního zobrazení**.
2. Zobrazené vektory napíšu do sloupců matice $A_{2}$.
3. Do matice $A_{1}$ napíšu do sloupců vektory ze druhé báze.
4. Matice **spojím** do matice $A = [A_{1} \mid A_{2}]$, kterou vyřeším pomocí GJEM.
5. Na **levé straně** díky GJEM dostanu **jednotkovou matici** a na **pravé straně** vznikne **matice lineárního zobrazení**.

### Matice přechodu

Matice identického lineárního zobrazení vzhledem k bázím $B_{1}$ a $B_{2}$.

Postup je stejný jako u matice lineárního zobrazení, jen prvky první báze nezobrazuji a rovnou je zapíšu do matice.